Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 302900 - app-text/rarian-0.8.1: problem with rarian-sk-preinstall
Summary: app-text/rarian-0.8.1: problem with rarian-sk-preinstall
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: High minor (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: https://bugs.freedesktop.org/show_bug...
Whiteboard:
Keywords: Inclusion
Depends on:
Blocks:
 
Reported: 2010-01-30 19:25 UTC by Rafał Mużyło
Modified: 2010-03-12 12:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
trivial patch fixing the problem (fix-old-doc.patch,629 bytes, patch)
2010-01-30 19:26 UTC, Rafał Mużyło
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rafał Mużyło 2010-01-30 19:25:19 UTC
It's rather hard to notice, as it affects Gnome docs, BUT
only for packages, that haven't been updated to new gnome-doc-utils
(using gnome-doc-utils.make). IIRC, all packages, that are a part of Gnome
have migrated awhile ago.
omf file produced by rarian-sk-preinstall have incorrect file uri
('file:/' followed by absolute path, instead of 'file://').

The fix is obviously trivial.

To observe the bug, run yelp and try to follow links from main menu
to an affected package (i.e. qalculate-gtk in 'Utilities').
Comment 1 Rafał Mużyło 2010-01-30 19:26:41 UTC
Created attachment 217939 [details, diff]
trivial patch fixing the problem
Comment 2 Gilles Dartiguelongue gentoo-dev 2010-02-09 09:04:38 UTC
looks fine.
Comment 3 Pacho Ramos gentoo-dev 2010-03-12 12:27:48 UTC
Fixed in -r1. Thanks for the patch and report